const leadId = '4ef30123-90c2-4dc0-bd28-b43eee8664ea';
const options = {
method: 'GET',
headers: {
'x-api-key': '<your-api-key>',
},
};
fetch(`https://api-v2.getomni.ai/api/v1/leads/${leadId}/checklist`, options)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));
import requests
lead_id = '4ef30123-90c2-4dc0-bd28-b43eee8664ea'
url = f"https://api-v2.getomni.ai/api/v1/leads/{lead_id}/checklist"
headers = {
"x-api-key": "<your-api-key>"
}
response = requests.request("GET", url, headers=headers)
print(response.json())
curl --request GET \
--url https://api-v2.getomni.ai/api/v1/leads/4ef30123-90c2-4dc0-bd28-b43eee8664ea/checklist \
--header 'x-api-key: <your-api-key>'
[
{
"id": "2490cb41-4e65-47bc-a662-54e05ac8133d",
"name": "Business Information",
"items": [
{
"id": "a61b8be3-5f89-413b-b0eb-454a569bb06b",
"checklistItemId": "5f71c15b-0022-4b72-b1bf-daf7a76486f5",
"value": "Lexi",
"status": "COMPLETED",
"checklistItem": {
"id": "5f71c15b-0022-4b72-b1bf-daf7a76486f5",
"code": "BUSINESS_NAME",
"label": "Business Name",
"fieldType": "TEXT",
"isRequired": true
}
},
{
"id": "d78cbb58-5a6e-4fc3-8622-b783b3211b3f",
"checklistItemId": "2f791c62-6a04-4d29-b7fa-477b777800f6",
"value": null,
"status": "TODO",
"checklistItem": {
"id": "2f791c62-6a04-4d29-b7fa-477b777800f6",
"code": "EIN",
"label": "EIN",
"fieldType": "EIN",
"isRequired": true
}
}
]
}
]
Leads
Get Lead Checklist
Fetch the checklist for a specific lead
GET
/
api
/
v1
/
leads
/
{leadId}
/
checklist
const leadId = '4ef30123-90c2-4dc0-bd28-b43eee8664ea';
const options = {
method: 'GET',
headers: {
'x-api-key': '<your-api-key>',
},
};
fetch(`https://api-v2.getomni.ai/api/v1/leads/${leadId}/checklist`, options)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));
import requests
lead_id = '4ef30123-90c2-4dc0-bd28-b43eee8664ea'
url = f"https://api-v2.getomni.ai/api/v1/leads/{lead_id}/checklist"
headers = {
"x-api-key": "<your-api-key>"
}
response = requests.request("GET", url, headers=headers)
print(response.json())
curl --request GET \
--url https://api-v2.getomni.ai/api/v1/leads/4ef30123-90c2-4dc0-bd28-b43eee8664ea/checklist \
--header 'x-api-key: <your-api-key>'
[
{
"id": "2490cb41-4e65-47bc-a662-54e05ac8133d",
"name": "Business Information",
"items": [
{
"id": "a61b8be3-5f89-413b-b0eb-454a569bb06b",
"checklistItemId": "5f71c15b-0022-4b72-b1bf-daf7a76486f5",
"value": "Lexi",
"status": "COMPLETED",
"checklistItem": {
"id": "5f71c15b-0022-4b72-b1bf-daf7a76486f5",
"code": "BUSINESS_NAME",
"label": "Business Name",
"fieldType": "TEXT",
"isRequired": true
}
},
{
"id": "d78cbb58-5a6e-4fc3-8622-b783b3211b3f",
"checklistItemId": "2f791c62-6a04-4d29-b7fa-477b777800f6",
"value": null,
"status": "TODO",
"checklistItem": {
"id": "2f791c62-6a04-4d29-b7fa-477b777800f6",
"code": "EIN",
"label": "EIN",
"fieldType": "EIN",
"isRequired": true
}
}
]
}
]
This endpoint fetches the checklist for a specific lead, including all checklist groups, items, and their current status.
Path Parameters
string
required
The unique identifier of the lead
Response
array
Array of checklist groups
Show checklist groups
Show checklist groups
string
Checklist group ID
string
Checklist group name
array
Array of checklist items in this group
Show items
Show items
string
Unique identifier for the checklist item entry
string
ID of the checklist item definition
string|number
Current value for this checklist item (can be string, number, or null)
array
Array of alternate values for this checklist item (can be null)
string
Validation error message if validation failed
string
Status of the checklist item (e.g., “COMPLETED”, “TODO”)
object
Details about the checklist item definition
Show checklistItem
Show checklistItem
string
Unique identifier for the checklist item definition
string
Code identifier for the checklist item
string
Display label for the checklist item
string
Field type (e.g., “TEXT”, “NUMBER”, “EMAIL”, “PHONE”, “ADDRESS”, “EIN”, “BANK_STATEMENT”, “TOOL”)
boolean
Whether this item is required
string
Help text displayed to users for this checklist item
string
Client-specific instructions for this checklist item
array
Array of documents associated with this checklist item (only present for document-type items)
Show documents
Show documents
string
Unique identifier for the document
string
Original filename of the document
string
MIME type of the document (e.g., “application/pdf”, “image/jpeg”)
number
File size in bytes
string
Pre-signed URL for accessing the document
object
Document metadata including processing status
Show metadata
Show metadata
string
Status of the extraction (e.g., “completed”)
boolean
Whether the document passed overall validation
object
Detailed validation result for the document
Show validationResult
Show validationResult
string
Additional notes about the validation
boolean
Whether the document passed overall validation
const leadId = '4ef30123-90c2-4dc0-bd28-b43eee8664ea';
const options = {
method: 'GET',
headers: {
'x-api-key': '<your-api-key>',
},
};
fetch(`https://api-v2.getomni.ai/api/v1/leads/${leadId}/checklist`, options)
.then((response) => response.json())
.then((response) => console.log(response))
.catch((err) => console.error(err));
import requests
lead_id = '4ef30123-90c2-4dc0-bd28-b43eee8664ea'
url = f"https://api-v2.getomni.ai/api/v1/leads/{lead_id}/checklist"
headers = {
"x-api-key": "<your-api-key>"
}
response = requests.request("GET", url, headers=headers)
print(response.json())
curl --request GET \
--url https://api-v2.getomni.ai/api/v1/leads/4ef30123-90c2-4dc0-bd28-b43eee8664ea/checklist \
--header 'x-api-key: <your-api-key>'
[
{
"id": "2490cb41-4e65-47bc-a662-54e05ac8133d",
"name": "Business Information",
"items": [
{
"id": "a61b8be3-5f89-413b-b0eb-454a569bb06b",
"checklistItemId": "5f71c15b-0022-4b72-b1bf-daf7a76486f5",
"value": "Lexi",
"status": "COMPLETED",
"checklistItem": {
"id": "5f71c15b-0022-4b72-b1bf-daf7a76486f5",
"code": "BUSINESS_NAME",
"label": "Business Name",
"fieldType": "TEXT",
"isRequired": true
}
},
{
"id": "d78cbb58-5a6e-4fc3-8622-b783b3211b3f",
"checklistItemId": "2f791c62-6a04-4d29-b7fa-477b777800f6",
"value": null,
"status": "TODO",
"checklistItem": {
"id": "2f791c62-6a04-4d29-b7fa-477b777800f6",
"code": "EIN",
"label": "EIN",
"fieldType": "EIN",
"isRequired": true
}
}
]
}
]
⌘I